PUT /v2/api/mappingtables/{mappingField}

Adds or updates individual keys in an existing mapping table without removing keys not present in the request.

Path parameters

  • mappingField string Required

    Mapping field name

Query parameters

  • mappingType string Required

    Mapping type (products, transactions, purchaseOrders, distributionOrders, stocks, suppliers, costCalculationValues)

application/json

Body Required

Keys to add or update

  • mappingValues object Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • mappingField string
    • mappingType string
    • mappingValues object
  • 400 application/json

    Invalid or missing mapping type, or bad request body

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • 404 application/json

    Not found

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
PUT /v2/api/mappingtables/{mappingField}
curl \
 --request PUT 'https://api.maddenanalytics.com/v2/api/mappingtables/{mappingField}?mappingType=string' \
 --header "Content-Type: application/json" \
 --data '{"mappingValues":{}}'
Request examples
{
  "mappingValues": {}
}
Response examples (200)
{
  "mappingField": "color",
  "mappingType": "products",
  "mappingValues": {}
}
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (404)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}